### Method

# St DrawingArea get_surface_size

#### Declaration [src]

    void
    st_drawing_area_get_surface_size (
      StDrawingArea* area,
      guint* width,
      guint* height
    )

#### Description [src]

Gets the size of the cairo surface being painted to, which is equal to the size of the content area of the widget. This function must only be called from a signal handler for the `StDrawingArea::repaint` signal.

#### Parameters

`width`

  Type: `guint*`

  Location to store the width of the painted area.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `guint*`

  Location to store the height of the painted area.

  The argument will be set by the function.
  The argument can be `NULL`.